:root {
  --primary-color: rgb(235, 235, 235);
  --secondary-color: #cc3133;
  /* --secondary-color: #a22427; */
  --trichary-color: rgb(44, 44, 44);
}

/* resets */

li {
  list-style-type: none;
}

body,
p,
a,
ul,
li {
  margin: 0;
  padding: 0;
  text-decoration: none;
}

/* bases styles */
body {
  background-color: var(--trichary-color);
  color: var(--primary-color);
  overflow-x: hidden;
  font-family: "Orbitron", sans-serif;
  height: auto;
}

.button {
  background-color: rgb(27, 25, 25);
  border: 2px solid var(--secondary-color);
  color: var(--secondary-color);
  padding: 16px 12px;
  border-radius: 20px;
  text-transform: uppercase;
  box-shadow: 1px 2px 3px rgba(0, 0, 0, 0.6);
  display: inline-block;
  font-family: "Orbitron", sans-serif;
}

.button:hover {
  background-color: var(--secondary-color);
  color: var(--primary-color);
  color: black;
  cursor: pointer;
}

input,
textarea {
  background: rgba(255, 255, 255, 0.05);
  padding: 10px 16px;
  border-radius: 20px;
  border: 2px solid var(--secondary-color);
  color: var(--primary-color);
}

*:focus {
  outline: none;
}

/* fonts  */

@font-face {
  font-family: "Orbitron";
  src: url("assets/fonts/Orbitron.ttf");
}

h1,
h2,
h3,
h4 {
  color: var(--primary-color);
  font-weight: normal;
}

p,
a,
li {
  color: var(--primary-color);
}

h1 {
  font-size: 1.2em;
}

h2 {
  font-size: 1.6em;
}

p {
  font-size: 0.9em;
  line-height: 1.6em;
}

/* mobile styles */

.grid {
  display: grid;
  grid-template-columns: repeat(8, 1fr);
}

.site-nav {
  margin: 0 20px;
}

.site-nav h1 {
  grid-column: 1/4;
  border-bottom: var(--secondary-color) 2px solid;
  padding-bottom: 10px;
  font-size: 2em;
}

.site-nav p {
  grid-row: 2;
  grid-column: 1/8;
}

.tagline {
  color: var(--primary-color);
  font-size: 0.8em;
}

#about {
  padding: 0 20px 20px 20px;
  margin-top: 30px;
}

.about-text {
  grid-column: 1/6;
  margin-top: 20px;
  font-size: 0.7em;
}

.welcome-img {
  grid-column: 6/9;
  margin-top: 0px;
}

.welcome-img img {
  width: 200%;
}

#register {
  padding: 0 20px 20px 20px;
  /* margin-top: 10px; */
}

#register h1 {
  grid-column: 1/9;
  text-align: center;
}
.email {
  grid-row: 2;
  grid-column: 2/8;
  margin-bottom: 10px;
}

.error {
  grid-row: 3;
  grid-column: 2/9;
  margin-bottom: 10px;
  font-size: 0.5em;
  padding: 0 0 0 10px;
  color: var(--secondary-color);
}

.name {
  grid-row: 4;
  grid-column: 2/8;
  margin-bottom: 10px;
}

.button {
  grid-column: 2/8;
  margin-top: 20px;
}

.thank-you-message {
  text-align: center;
  margin-top: 50px;
}

/* samll tablets, large smartphones */
@media screen and (min-width: 620px) {
  .about-text {
    grid-column: 1/5;
    margin-top: 20px;
    font-size: 0.9em;
  }

  .tagline {
    color: var(--primary-color);
    font-size: 1em;
  }

  .welcome-img {
    grid-column: 5/9;
    margin-top: 0px;
  }

  .welcome-img img {
    width: 100%;
  }
}

/* large tablets, laptops */
@media screen and (min-width: 960px) {
  .about-text {
    grid-column: 1/5;
    margin-top: 20px;
    font-size: 1em;
  }

  .tagline {
    color: var(--primary-color);
    font-size: 1.2em;
  }

  .welcome-img {
    grid-column: 5/9;
    margin-top: 0px;
  }

  .welcome-img img {
    width: 80%;
    margin-left: 50px;
  }
}

/* large laptops, desktops */
@media screen and (min-width: 1200px) {
  body {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
  }
  .wrapper {
    overflow: hidden;
    width: 80%;
    height: auto;
    margin: 0 auto;
    background-color: rgba(97, 96, 96, 0.137);
    padding: 40px;
    border-radius: 20px;
    box-shadow: 0 0 10px 1px var(--secondary-color);
  }

  .welcome-img {
    grid-column: 5/7;
    /* margin-bottom: 50px; */
  }

  .welcome-img img {
    width: 140%;
    margin-left: 50px;
  }

  .site-nav h1 {
    grid-column: 2/4;
    border-bottom: var(--secondary-color) 2px solid;
    padding-bottom: 10px;
    font-size: 2em;
  }

  .about {
    margin-bottom: 30px;
  }

  .about-text {
    grid-column: 2/5;
    margin-top: 20px;
    font-size: 1.2em;
  }

  .site-nav p {
    grid-column: 2/5;
    font-size: 1em;
  }
  .error {
    grid-row: 3;
    grid-column: 2/9;
    margin-bottom: 10px;
    font-size: 1em;
    padding: 0 0 0 10px;
    color: var(--secondary-color);
  }

  .button {
    transition: background-color 1s;
  }

  input {
    cursor: pointer;
  }

  input:hover {
    box-shadow: 0 0 25px 2px var(--secondary-color);
  }
  /* .button:hover {
    background-color: ;
  } */

  .thank-you-message {
    margin-top: -60px;
  }
  #register {
    animation: fadeIn 3s;
  }

  #register h1 {
    margin-bottom: 20px;
  }

  @keyframes fadeIn {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
}
@media screen and (min-width: 1400px) {
  body {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100vh;
    background: linear-gradient(
      149deg,
      rgba(32, 32, 32, 1) 0%,
      rgba(79, 79, 79, 1) 100%
    );
  }
  .wrapper {
    width: 50%;
    /* height: 150%; */
    margin: 0 auto;
    background-color: rgb(56, 56, 56);
    padding: 40px;
    border-radius: 20px;
    box-shadow: 0 0 10px 1px var(--secondary-color);
  }

  .welcome-img {
    grid-column: 5/7;
    margin-top: 0px;
  }

  .welcome-img img {
    width: 140%;
    margin-left: 50px;
  }

  .site-nav h1 {
    grid-column: 2/4;
    border-bottom: var(--secondary-color) 2px solid;
    padding-bottom: 10px;
    font-size: 2em;
  }

  .about-text {
    grid-column: 2/5;
    margin-top: 20px;
    font-size: 1em;
  }

  .site-nav p {
    grid-column: 2/5;
    font-size: 1em;
  }
  .error {
    grid-row: 3;
    grid-column: 2/9;
    margin-bottom: 10px;
    font-size: 1em;
    padding: 0 0 0 10px;
    color: var(--secondary-color);
  }

  #register {
    padding: 0 20px 20px 20px;
    /* margin-top: 10px; */
    height: 200px;
  }
}
